## sheepdrawing 0.1.0

=== debian/changelog ===
sheepdrawing (0.1.0) unstable; urgency=low

  * sheepdrawing Initial release. (Closes: #nnnn)  <nnnn is the bug number of your ITP>

 -- Gary Birkett <liquid@gmail.com>  Fri, 11 Dec 2009 00:42:38 +0000
