=== debian/changelog ===
sheepdrawing (0.1.1) unstable; urgency=low

  * silly

 -- Gary Birkett <liquid@gmail.com>  Fri, 11 Dec 2009 00:42:38 +0000
