=== debian/control ===
Source: sheepdrawing
Section: user/multimedia
Priority: extra
Maintainer: Gary Birkett <liquid@gmail.com>
Build-Depends: debhelper (>= 5) , libliqbase-dev
Standards-Version: 3.7.2

Package: sheepdrawing
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends} , libliqbase1
Description: draw a sheep (or anything else) and send to talk.maemo.org
 draw a sheep picture, or anything else you can think of and upload to talk.maemo.org
